## uboot-pr13 1.0.1

=== Makefile ===

all:

install:
	mkdir -p ${DESTDIR}/boot
	cp zImage-2.6.28-20103103+0m5.fiasco ${DESTDIR}/boot/uboot-and-zImage-2.6.28-20103103+0m5.fiasco

clean:

## uboot-pr13 1.0

=== debian/changelog ===
uboot-pr13 (1.0) unstable; urgency=low

  * Initial Release.

 -- Carsten Munk <carsten@maemo.org>  Mon,  1 Nov 2010 07:42:56 +0000

=== debian/control ===
Source: uboot-pr13
Section: user/system
Priority: extra
Maintainer: Carsten Munk <carsten@maemo.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: uboot-pr13
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-modules (= 2.6.28-20103103+0m5)
Description: Installs u-boot to the kernel area, along with PR1.3 kernel
 U-Boot boot loader for Maemo 5 PR1.3. 
 To remove this again, apt-get install --reinstall kernel-flasher and
 reboot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/uboot-pr13.sgml > uboot-pr13.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/uboot-pr13.
	$(MAKE) DESTDIR=$(CURDIR)/debian/uboot-pr13 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uboot-pr13 1.0.1

=== debian/changelog ===
uboot-pr13 (1.0.1) unstable; urgency=low

  * Initial Release.

 -- Carsten Munk <carsten@maemo.org>  Mon,  1 Nov 2010 07:42:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: uboot-pr13
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-modules (= 2.6.28-20103103+0m5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-modules (>= 2.6.28-20103103+0m5) 
 Description: Installs u-boot to the kernel area, along with PR1.3 kernel
  U-Boot boot loader for Maemo 5 PR1.3. 
  To remove this again, apt-get install --reinstall kernel-flasher and

## uboot-pr13 1.0.2

=== debian/changelog ===
uboot-pr13 (1.0.2) unstable; urgency=low
  
  * Conflict with kernel-power.

 -- Carsten Munk <carsten@maemo.org>  Fri,  12 Nov 2010 13:34:00 +0000

=== debian/control ===
Source: uboot-pr13
Section: user/system
Priority: extra
Maintainer: Carsten Munk <carsten@maemo.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: uboot-pr13
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-modules (>= 2.6.28-20103103+0m5)
Conflicts: kernel-power, kernel-maemo, kernel-hostmode 
Description: Installs u-boot to the kernel area, along with PR1.3 kernel. RISKY INSTALL.
 U-Boot boot loader for Maemo 5 PR1.3. DO NOT USE THIS UNLESS YOU KNOW
 WHAT YOU ARE DOING. RISK OF REBOOT LOOPS! MAY EAT YOUR BRAIN.
 To remove this again, apt-get install --reinstall kernel kernel-flasher and
 reboot.
